package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.OnePlanDetailModel

interface OnePlanDetailInteractor {

    interface View {
        fun onResponseSucceed(onPlanDetailModel: OnePlanDetailModel)
        fun onResponseFailed(error: VolleyError)
    }

    interface Presenter {
        fun onLoadData()
    }
}
